package org.example.lc.service.mq;

import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class Sender {
    @Autowired
    private AmqpTemplate rabbitTemplate;

    public void send(String topic, String msg) {
        log.info("MqSender.send topic:{}, msg:{}", topic, msg);
        this.rabbitTemplate.convertAndSend(topic, msg);
    }
}
